import request from '@/utils/request'

// 企查查 886接口
export function getBankAccountInfo(params) {
  return request({
    url: '/creditInfo/getBusinessByKeyWord',
    method: 'get',
    params
  })
}

// 会员账户管理-全部列表
export function queryMemberList(data) {
  return request({
    url: '/bocomVipAccount/list',
    method: 'post',
    data
  })
}

// 会员账户管理-新增-根据客户号查询客户信息
export function queryCustomerInfo(params) {
  return request({
    url: '/bocom/findByCustomerNumber',
    method: 'get',
    params
  })
}

// 会员账户管理-新增会员登记薄
export function addMemberRegister(params) {
  return request({
    url: '/bocomVipAccount/doAdd',
    method: 'get',
    params
  })
}

// 会员账户管理-修改会员登记薄
export function updateMemberRegister(data) {
  return request({
    url: '/bocomVipAccount/doUpdate',
    method: 'post',
    data
  })
}

// 会员账户管理-查看会员登记薄
export function getMemberRegister(params) {
  return request({
    url: '/bocomVipAccount/getDetail',
    method: 'get',
    params
  })
}

// 会员账户管理-获取绑定的实体卡账户信息
export function getBoundCardInfo(params) {
  return request({
    url: '/bocomVipAccount/getBindAccountInfoDetails',
    method: 'get',
    params
  })
}

// 会员账户管理-修改实体卡信息
export function updateBoundCardInfo(data) {
  return request({
    url: '/bocomVipAccount/updateBindAccount',
    method: 'post',
    data
  })
}

// 会员账户管理-重新设置激活金额
export function resetActivateAmount(params) {
  return request({
    url: '/bocomVipAccount/resetActvtAmt',
    method: 'get',
    params
  })
}

// 会员账户管理-刷新单个登记薄状态
export function refreshMemberStatus(params) {
  return request({
    url: '/bocomVipAccount/refreshBocomVipAccount',
    method: 'get',
    params
  })
}

// 会员账户管理-刷新单个绑定实体卡的状态
export function refreshBoundCardStatus(params) {
  return request({
    url: '/bocomVipAccount/refreshBindAccountStatus',
    method: 'get',
    params
  })
}

// 资金管理-提现
export function assetsWithdraw(data) {
  return request({
    url: '/bocomVipAccount/withdrawal',
    method: 'post',
    data
  })
}

// 资金管理-转账
export function assetsTransfer(data) {
  return request({
    url: '/bocomVipAccount/transferAccounts',
    method: 'post',
    data
  })
}

// 资金管理-获取当前登记簿下核验状态为非正常的绑定银行卡信息
export function findAbnormalBindAccount(params) {
  return request({
    url: '/bocomVipAccount/findAbnormalBindAccount',
    method: 'get',
    params
  })
}

// 资金管理-获取提现手续费
export function getWithdrawFee(data) {
  return request({
    url: '/bocomVipAccount/getHandlingFee',
    method: 'post',
    data
  })
}

// 资金管理-根据登记簿编号核验状态为非正常的绑定银行卡信息
export function findAbnormalBindAccountByAccountNumber(params) {
  return request({
    url: '/bocomVipAccount/findAbnormalBindAccountByAccountNumber',
    method: 'get',
    params
  })
}

// 资金管理-获取交易记录/账单流水列表
export function findBusinessRecords(data) {
  return request({
    url: '/bocomVipAccount/transRecordsFindBySearch',
    method: 'post',
    data
  })
}

// 资金管理-下载交易通知书
export function downloadDealNoticeBook(params) {
  return request({
    url: '/bocomVipAccount/downloadNoticeFile',
    method: 'get',
    params,
    responseType: 'arraybuffer'
  })
}

// 资金管理-综合明细账单查询
export function queryBillInfoDetails(data) {
  return request({
    url: '/bocomVipAccount/downloadTradeDetailFile',
    method: 'post',
    data,
    responseType: 'arraybuffer'
  })
}

// 资金管理-查询状态
export function refreshTranserResultByPlfmSerNo(params) {
  return request({
    url: '/bocomVipAccount/refreshTranserResultByPlfmSerNo',
    method: 'get',
    params
  })
}

// 资金管理-处理交易记录
export function execDealRecord(params) {
  return request({
    url: '/bocomVipAccount/transRecordHandleAll',
    method: 'get',
    params
  })
}
